<script language="javascript">
function gettext( ){
if(document.form1.aa.value == ""){ 
	document.form1.test.value='';
}
else if(document.form1.aa.value == "abc")
{
	document.form1.test.value=document.form1.aa.value;
	document.form1.test2.value=document.form1.hiddenField.value;
}
else { 
	document.form1.test.value=document.form1.aa.value;
	<?
	$s=10;
	?>
	document.form1.test2.value=document.form1.hiddenField.value+<? echo $s; ?>;
}
}
</script>
</head>
<body>
<form name="form1">
  <p>Input 1 : 
    <INPUT TYPE="TEXT" NAME="aa" onChange="gettext( );">
    <input name="hiddenField" type="hidden" id="hiddenField" value="6">
    <br>
GetText :
<INPUT TYPE="TEXT" NAME="test">
</p>
  <p>GetTextFromHidden:
    <INPUT TYPE="TEXT" NAME="test2">
    <BR>
    </p>
</form>

